﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion


using HeuristicLab.Core;

namespace HeuristicLab.Clients.Hive.WebJobManager.ViewModels.Jobs
{
    /// <summary>
    /// A viewmodel for containing a parameter and the information of the task
    /// </summary>
    public class DataPackageVM
    {

        public IParameter Data { get; set; }
        public string Position { get; set; }
        public int Randy { get; set; }
        public bool Problem { get; set; }
        /// <summary>
        /// Init
        /// </summary>
        /// <param name="d">Parameter</param>
        /// <param name="p">Position string (builded for javascript)</param>
        /// <param name="r">Random integer</param>
        /// <param name="p">Problem parameter or not</param>
        public DataPackageVM(IParameter d, string po, int r, bool pr)
        {
            Data = d;
            Position = po;
            Randy = r;
            Problem = pr;
        }
    }
}
